Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
ScriptsForMains

Trying to work-around LG issue...

Recommended Posts

I thought it might be worthwhile to try to download an older version of Firefox (they're all available through Mozilla) and run looking glass through the browser.  

I can't get it working with my version of Java (8u102) and was wondering if anyone had newer/older java versions that were working for LG...  Might not hurt to try. 

  • Like 1

Share this post


Link to post
Share on other sites

LG worked with osrs on browser before last week Thursday update but every time I try to open it on waterfox or palemoon browser it doesnt start because of blocked by security settings and if I add current world link to exception site list it says 'incompatible magic value 1013478509'. I tried changing advanced java security settings but I get 'No class def found' error when disabling TLS, also I tried downgrading to Java 7 but then nothing shows up at all so I just gave up and I'm waiting for tribot to fix runelite.

Please note that I also tried all these steps on Ubuntu 16.04 64-bit vps but results are exactly the same as if on windows.

Share this post


Link to post
Share on other sites
Posted (edited)

Palemoon does work with no issues for me with the newest version of java just had to add every resource url to the exceptions list

Edit: actually you don't even need to add any site exceptions, all you have to do is run http version instead of the https, https version does seem to have security problems for w.e reason

 


315389766_Screenshot2019-05-2812_34_42.thumb.png.54a8286d5ce74191ac99a003aaba342c.png
 

Edited by yutpod
  • Thanks 1

Share this post


Link to post
Share on other sites
32 minutes ago, ItsWaffles said:

What java version?
I'm using Palemoon with the "HTTP" connection.

Using JDK 32bit 1.8.0_212 which is the latest and it's still not working?
I get the "No Runescape client was found" error.

Someone able to help?
Cheers.

Just use latest waterfox and use http

Share this post


Link to post
Share on other sites
Posted (edited)
1 hour ago, ItsWaffles said:

What java version?
I'm using Palemoon with the "HTTP" connection.

Using JDK 32bit 1.8.0_212 which is the latest and it's still not working?
I get the "No Runescape client was found" error.

Someone able to help?
Cheers.

you mean game does load on the palemoon browser, but looking glass fails to find it? If so, then as error suggests you're probably using 2 different versions of java or your firewall blocks it.

tested and working with palemoon browser for me:

windows 10 - 1.8.0_211-b12 64bit
ubuntu 14.04 - 1.8.0_181-b13 64bit

Edited by yutpod

Share this post


Link to post
Share on other sites
Posted (edited)
3 minutes ago, eltotoloco said:

how did you get it working? i load the page and it tells me to install runescape to start playing(already installed)

Pale moon browser and I pasted the link the guy above posted and it started to load. Other than that i'm not sure how or why it worked. 

Edited by Makthekid
  • Thanks 1

Share this post


Link to post
Share on other sites
11 hours ago, yutpod said:

Edit: actually you don't even need to add any site exceptions, all you have to do is run http version instead of the https, https version does seem to have security problems for w.e reason

Thank you mate you are absolute genius and now I finally got all my bots back to action, although I spent all day figuring out how to proxy browsers so I was only able to proxy one browser instance at the time because another instance would use same proxy as previous and wouldnt change, so I installed palemoon, forefox 52 esr, epiphany, midori which all support NPAPI (waterfox cant launch osrs on Ubuntu 16.04 64 bit for some reason)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Our picks

    • Today marks a big day for TRiBot! To make it easier for users to use TRiBot, we've created installers available for every platform! These installers are all bundled with the latest version of OpenJDK 1.8 (Java 😎, which is LG compatible.

      Using TRiBot is now easy. Simply download the installer for your platform, install TRiBot, and run it. The TRiBot Loader will correctly identify the bundled JDK so there's no need to change the Java selection.

      Windows

      EXE installer: TRiBot-windows-x64-4.0.3.exe


      MSI installer: TRiBot-windows-x64-4.0.3.msi


      Portable version: TRiBot-windows-x64-4.0.3.zip


      Mac OS

      Installer: TRiBot-macos-4.0.3.dmg


      Portable version: TRiBot-macos-4.0.3.tgz


      Unix/Linux

      Installer: TRiBot-unix-4.0.3.sh


      RPM installer (CentOS/Fedora): TRiBot-linux-4.0.3.rpm


      DEB installer (Debian): TRiBot-linux-4.0.3.deb


      Portable version: TRiBot-unix-4.0.3.tar.gz


      Platform Independent

      JAR file: tribot-loader-4.0.3.jar


      Note that this jar file does not include the bundled JDK.



      Windows and Mac OS users may notice a warning message stating that the installer/application is un-recognized or un-trusted. Please ignore this message and proceed with running the installer/application. We need to acquire a code signing certificate so that we can sign the installers letting the operating system know that these files can be trusted. It will take a week or more to acquire one, so please hold tight.

      Other notable changes to the TRiBot Loader:

      Support getting the version from OpenJDK distributions


      Add check for bundled JDK


      Copy OpenJDK tools.jar to the bundled JDK if not present


      Set the current java as the first available list entry


      Ignore Java versions which are symbolic links


      Make the bundled JDK the preferred Java version


      Update icon images


      Reduce the number of HTTP calls
        • Like
      • 8 replies
    • TRiBot is looking to improve a lot of its customer relationship management, customer on boarding process, customer experience, design elements, community engagement and pretty much everything else you can imagine when it comes to marketing.

      Our goal: To ensure that the marketing done TRULY reflects the experience and does not shine an inaccurate light on what TRiBot is lacking in.

      So I ask, what do you love about TRiBot and what do you hate about TRiBot? What does O S Bot, Rune M8, PowR Bot and Dre amBot do better? (yes I purposely didn't spell it right 😂).

      Love, 

      RileyZ
        • Like
      • 7 replies
    • Hello TRiBot,

      Today we have a significant release that has been in the works for the last month addressing several key issues, features and bugs in the backlog.

      With these changes, we are also including a new TRiBot Loader which will allow you to select any version that is released. This adds the flexibility of allowing you to revert to a previous version should an issue arise, run development only builds, view an accurate change log between versions etc. we are very proud to offer this feature and think it will add a lot more functionality down the road as we continue to release new versions.

      These changes include 80+ commits by our development team, a list of them is summarized below and also available for your viewing pleasure in the new TRiBot Loader.

      In addition, we have taken additional steps to improve as a development team by adding continuous integration and deployment into our workflow to assist in delivering timely releases such as bug fixes as well as new features on a weekly basis depending on our development cycle.
        • Thanks
        • Like
      • 39 replies
    • Over the last three weeks, I've been working on upgrading our server infrastructure. It's finally ready and is now live!

      Why?

      Increased reliability - less server errors


      Increased availability - less downtime


      Increased security - keeping us and you secure


      Increased capacity - ability to serve you better


      Increased speed - less waiting for things to load


      Faster development - server and service updates will come faster


      What are the changes?

      Move from a single AWS EC2 instance to AWS ECS (Elastic Container Service)


      Distributed computing


      Load balancing


      Git management of server files and filesystem


      Redis caching


      How?

      AWS ECS (with 10 EC2 instances)


      AWS ElastiCache (Redis)


      AWS Load Balancing


      AWS EFS (Elastic file system)


      Please bare with us as I continue to tune the server for maximum performance. Slow loading speeds may occur temporarily. I thank everyone for their patience.

      Please post on this thread if you experience any issues other than slow loading times.
        • Like
      • 51 replies
    • This update features:

      Fixed broken hooks from today's update


      Fix wilderness level with RuneLite (Thanks @Todd)


      Add support for Kotlin .class files in scripts (Thanks @wastedbro)


      Overhaul Inventory API (Thanks @wastedbro)


      Add List support for common methods


      Change method grouping to make more sense (by functionality)


      Refactor methods to utilize Java 8 streams instead of cumbersome loops




      Recognize chatbox minimization (Thanks @JoeDezzy1)


      Fix Screen#isInViewport when NPC chat is open (Thanks @JoeDezzy1)


      Fix login bot bugs (Thanks @erickho123)


      Fix hint arrow return values (Thanks @Encoded)


      Fix depositAllExcept functionality (Thanks @wastedbro)


      Change containing box interface bound and adjust for Y values (Thanks @erickho123)
        • Like
      • 151 replies
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...